## Apache Zeta Components Manual :: Docs For Class ezcMailSmtpTransportOptions

### Mail::ezcMailSmtpTransportOptions

### Class ezcMailSmtpTransportOptions

Class containing the options for SMTP transport.

The options from ezcMailTransportOptions are inherited.

Example of how to use SMTP transport options:

1. $options=new ezcMailSmtpTransportOptions ();
2. $options->timeout=3;
3. $options->connectionType=ezcMailSmtpTransport ::CONNECTION_SSL;
4. $options->preferredAuthMethod=ezcMailSmtpTransport ::AUTH_NTLM;
6. $smtp=new ezcMailSmtpTransport ('smtp.example.com','user','password',null,$options);
8. // the options can also be set via the options property of the SMTP transport:
9. $smtp->options->preferredAuthMethod=ezcMailSmtpTransport ::AUTH_NTLM;

Source for this file: /Mail/src/options/smtp_options.php

    ezcBaseOptions
       |
       --ezcMailTransportOptions
          |
          --ezcMailSmtpTransportOptions

Version: | //autogen//

### Properties

array(mixed) | read/write | `$connectionOptions` Specifies additional options for the connection. Must be in this format: array( 'wrapper_name' => array( 'option_name' => 'value' ) ).
string | read/write | `$connectionType` Specifies the protocol used to connect to the SMTP server. See the CONNECTION_* constants in the ezcMailSmtpTransport class.
string | read/write | `$preferredAuthMethod` Specifies which authentication method should be attempted. Default is null which means that that the transport should try to authenticate using the methods supported by the SMTP server in their decreasing strength order. If one method fails an exception will be thrown. See the AUTH_* constants in the ezcMailSmtpTransport class.
bool | read/write | `$ssl` This option belongs to ezcMailTransportOptions, but it is not used in SMTP. When trying to set this to true the connectionType option will be set to ezcMailSmtpTransport::CONNECTION_SSL. When trying to set this to false the connectionType option will be set to ezcMailSmtpTransport::CONNECTION_PLAIN.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcMailSmtpTransportOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcMailTransportOptions
public ezcMailTransportOptions | `ezcMailTransportOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcMailSmtpTransportOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcMailTransportOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3